Apache JMeter

## org.apache.jmeter.sampler
Class DebugSampler

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.samplers.AbstractSampler
              org.apache.jmeter.sampler.DebugSampler

All Implemented Interfaces:
  Serializable, Cloneable, Sampler, TestBean, TestElement

    public class DebugSampler

extends AbstractSampler
implements TestBean

The Debug Sampler can be used to "sample" JMeter variables, JMeter properties and System Properties.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`DebugSampler()`

Method Summary
`boolean` `isDisplayJMeterProperties()`
`boolean` `isDisplayJMeterVariables()`
`boolean` `isDisplaySystemProperties()`
`SampleResult` `sample(Entry e)` Obtains statistics about the given Entry, and packages the information into a SampleResult.
`void` `setDisplayJMeterProperties(boolean displayJMeterPropterties)`
`void` `setDisplayJMeterVariables(boolean displayJMeterVariables)`
`void` `setDisplaySystemProperties(boolean displaySystemProperties)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### DebugSampler

    public DebugSampler()

Method Detail

### sample

    public SampleResult sample(Entry e)

  Description copied from interface: `Sampler`
  Obtains statistics about the given Entry, and packages the information into a SampleResult.

  Specified by:
    `sample` in interface `Sampler`

### isDisplayJMeterVariables

    public boolean isDisplayJMeterVariables()

### setDisplayJMeterVariables

    public void setDisplayJMeterVariables(boolean displayJMeterVariables)

### isDisplayJMeterProperties

    public boolean isDisplayJMeterProperties()

### setDisplayJMeterProperties

    public void setDisplayJMeterProperties(boolean displayJMeterPropterties)

### isDisplaySystemProperties

    public boolean isDisplaySystemProperties()

### setDisplaySystemProperties

    public void setDisplaySystemProperties(boolean displaySystemProperties)

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.